declare namespace AMap {
  namespace Scale {
    interface Options {
      visible?: boolean
    }
  }

  interface Scale extends Control {
    new (options?: Scale.Options): Scale

    show(): void
    hide(): void
  }
}
